import java.math.*;

public class ConicalMountain implements TerrainDataCalc {
	public static int MIXSHRBGRS=9;
	public static int WATER=16;


	int landhalflen, landrad;
	double widthfactor, maxheight;
public ConicalMountain (){
	landhalflen=120; //~100km
	//landrad=3000; //whole width
	widthfactor=16.; // in km
	maxheight=2000; //in  m 
	
	}

private boolean ifWater(double x, double y){
	return (x*x+y*y > landhalflen*landhalflen);
	//return (x< -landhalflen || x > landhalflen);
}

public int getDEMValue(int xval, int yval){ // all in pixels 
	int x=xval-2400, y=yval-3000;
	if (ifWater(x,y)){
		return -9999;
	}
	else
	{
		return (int) 
		(maxheight*Math.exp(((-x*x-y*y)*.9*.9)/(widthfactor*widthfactor)));
		//(maxheight*Math.exp(-x*x*.9*.9/(widthfactor*widthfactor)));
	}
}

public int getLandUseValue(int xval, int yval){ // reutrn land use value. 
		int x=xval-2400, y=yval-3000;
	if (ifWater(x,y)){
		return WATER; 
	}
	else
	{
		return MIXSHRBGRS;
	}
}

public int getLWMaskValue (int xval, int yval){ // reutrn lw mask value. 
		int x=xval-2400, y=yval-3000;
	if (ifWater(x,y)){
		return 0; 
	}
	else
	{
		return 1;
	}
}



}
