import java.io.*;

public class WriteTerrainData{

	int xlen=4800, ylen=6000;
	TerrainDataCalc dc=null;
	public WriteTerrainData(TerrainDataCalc dc){

		this.dc=dc;
	}

	public void writeDEM(){
	try{
		BufferedOutputStream dout=new BufferedOutputStream(
				new FileOutputStream("E060N40.DEM"));
		for (int j=0;j<ylen; j++){
			ByteArrayOutputStream boutst =new ByteArrayOutputStream(xlen);
			for (int i=0;i<xlen;i++){
				double val=dc.getDEMValue(i,j);
				int tmp1=(int)Math.floor(val/256);
				int tmp2=(int)(val-256*tmp1);
				//System.err.println(val);
			boutst .write(tmp1);boutst.write(tmp2);
			}
		
			dout.write(boutst.toByteArray());
			System.out.print(String.valueOf(j)+" ");
			//System.exit(0);
		}
		dout.close();
	}catch(Exception e){
		e.printStackTrace();
	}	
	}

	public void writeLanduse(){
	try{
		BufferedOutputStream dout=new BufferedOutputStream(
				new FileOutputStream("GLOBAL-LANDUSE.30s"));
		System.err.println("\n Writing Junk Header...");
		for (int i=0;i<360;i++){
			dout.write(new byte[(90-40)*120*120]);
		}
		System.err.println("..Done");
		for (int j=0;j<ylen; j++){
			ByteArrayOutputStream boutst =new ByteArrayOutputStream(xlen);
			for (int i=0;i<xlen;i++){
				double val=dc.getLandUseValue(i,j);
				boutst.write((int)val); 
			}
			dout.write(new byte[(180+60)*120]);
			dout.write(boutst.toByteArray());
			dout.write(new byte[(180-100)*120]);
			System.out.print(String.valueOf(j)+" ");
			//System.exit(0);
		}
		System.err.println("\n Writing Junk Trailer...");
		for (int i=0;i<360;i++){
			dout.write(new byte[(-10-(-90))*120*120]);
		}
		System.err.println("...Done.");
		dout.close();
	}catch(Exception e){
		e.printStackTrace();
	}	
	}


	public void writeLWMask(){
	try{
		BufferedOutputStream dout=new BufferedOutputStream(
				new FileOutputStream("GLOBAL-LWMASK.30s"));
		System.err.println("\n Writing Junk Header...");
		for (int i=0;i<360;i++){
			dout.write(new byte[(90-40)*120*120]);
		}
		System.err.println("..Done");
		for (int j=0;j<ylen; j++){
			ByteArrayOutputStream boutst =new ByteArrayOutputStream(xlen);
			for (int i=0;i<xlen;i++){
				double val=dc.getLWMaskValue(i,j);
				boutst.write((int)val); 
			}
			dout.write(new byte[(180+60)*120]);
			dout.write(boutst.toByteArray());
			dout.write(new byte[(180-100)*120]);
			System.out.print(String.valueOf(j)+" ");
			//System.exit(0);
		}
		System.err.println("\n Writing Junk Trailer...");
		for (int i=0;i<360;i++){
			dout.write(new byte[(-10-(-90))*120*120]);
		}
		System.err.println("...Done.");
		
		dout.close();
	}catch(Exception e){
		e.printStackTrace();
	}	
	}



}
			

		