#!/bin/bash
#set -x
if [ $# -lt 1 ]; then
echo 'This program creates a java source code file with main() entrypoint'
echo 'method and runs the TerrainDataCalc system'
echo "usage: $0 <calclass>"
echo " argument: the class implementing TerrainDataCalc interface."
echo "$0 LongSingleRidge"
echo
exit 1
fi
runner=run${1}
cat << EOFLX > $runner.java
public class $runner{
	public static void main(String[] args){
		try{
		$1 dc=new $1();
		WriteTerrainData md=new WriteTerrainData ((TerrainDataCalc)dc);
		System.err.println("Writing Land Water Mask");
		md.writeLWMask();
		System.err.println("Land Water Mask Done.");
		System.err.println("Writing Landuse");
		md.writeLanduse();
		System.err.println("Landuse Mask Done.");
		System.err.println("Writing Land Water Mask");
		md.writeDEM();
		System.err.println("DEM Done.");
		}catch(Exception e){
			e.printStackTrace();
			}
	}
}
EOFLX
\rm -f *.class
echo "compiling $1.java $runner.java and other files."
javac *.java
echo "Running $runner .."
java ${runner}


