SUBROUTINE llxy_lam ( xlat , xlon , X ,Y , &
   xlatc, xlonc, xn, ds, &
   imax, jmax, true_lat1, true_lat2 )

   USE constants
 
   REAL , PARAMETER :: CONV = 180. / pi
   REAL , PARAMETER :: a = radius_of_earth

   REAL :: TRUE_LAT1 , PHI1 , POLE , XLATC , PHIC , XC , YC ,  &
           XN , FLP , XLON , XLONC , PSX , XLAT , R , XX , YY ,  &
           CENTRI , CENTRJ , X , DS , Y , TRUE_LAT2 

   INTEGER :: IMAX , JMAX 

   !  Calculate x and y given latitude and longitude for Lambert conformal projection
 
   IF(ABS(true_lat1).GT.90) THEN
      PHI1 = 90. - 30.
   ELSE
      PHI1 = 90. - true_lat1
   END IF
   POLE = 90.0
   IF ( XLATC.LT.0.0 ) THEN
      PHI1 = -PHI1
      POLE = -POLE
   END IF
   PHIC = ( POLE - XLATC )/CONV
   PHI1 = PHI1/CONV
   XC = 0.0
   YC = -A/XN*SIN(PHI1)*(TAN(PHIC/2.0)/TAN(PHI1/2.0))**XN
 
   !  CALCULATE X,Y COORDS. RELATIVE TO POLE
 
   IF      ( xlon - xlonc .LT. -180 ) THEN
      FLP = XN*( XLON - XLONC + 360 )/CONV
   ELSE IF ( xlon - xlonc .GT.  180 ) THEN
      FLP = XN*( XLON - XLONC - 360 )/CONV
   ELSE
      FLP = XN*( XLON - XLONC )/CONV
   END IF
   PSX = ( POLE - XLAT )/CONV
   R = -A/XN*SIN(PHI1)*(TAN(PSX/2.0)/TAN(PHI1/2.0))**XN
   IF ( XLATC.LT.0.0 ) THEN
      XX = R*SIN(FLP)
      YY = R*COS(FLP)
   ELSE
      XX = -R*SIN(FLP)
      YY = R*COS(FLP)
   END IF
 
   !  TRANSFORM (1,1) TO THE ORIGIN
 
   CENTRI = FLOAT(IMAX + 1)/2.0
   CENTRJ = FLOAT(JMAX + 1)/2.0
   X = ( XX - XC )/DS + CENTRJ
   Y = ( YY - YC )/DS + CENTRI
      
END SUBROUTINE llxy_lam 
