SUBROUTINE llxy_mer ( XLAT , XLON , X ,Y , &
   PHIC, XLONC, XN, DSKM, &
   IYY, JXX, TRUELAT1, TRUELAT2 )

   USE constants

   REAL , PARAMETER :: CONV = 180. / pi
   REAL , PARAMETER :: a = radius_of_earth
  
   REAL :: PSI1 , C2 , XCNTR , PHICTR , PHIC , CELL , YCNTR , XC , YC ,  &
           XLAT , YY , XX , XLON , XLONC , CENTRI , CENTRJ , X , DSKM , Y ,  &
           XN , TRUELAT1 , TRUELAT2 

   INTEGER :: IYY , JXX

   !  Calls the intrinsic functions SIN, COS and TAN.


   !  ANOTHER EXCURSION INTO COMPUTING WITH CONSTANTS

   IF ( ABS(TRUELAT1) .GT. 90 ) THEN
      PSI1= 0.
   ELSE
      PSI1 = TRUELAT1
   END IF
   C2     = A*COS(PSI1/CONV)
   XCNTR  = 0.0
   PHICTR = PHIC/CONV
   CELL   = COS(PHICTR)/(1.0+SIN(PHICTR))
   YCNTR  = - C2*LOG(CELL)

   !  COMPUTE X,Y FROM LAT,LON

   XC = XCNTR
   YC = YCNTR
   IF (XLAT.NE.-90.) THEN
       CELL = COS(XLAT/CONV)/(1.0+SIN(XLAT/CONV))
       YY = -C2*LOG(CELL)
       XX = C2*(XLON-XLONC)/CONV
   ENDIF

   !  TRANSFORM (1,1) TO THE ORIGIN

   CENTRI = FLOAT(IYY + 1)/2.0
   CENTRJ = FLOAT(JXX + 1)/2.0
   X = ( XX - XC )/DSKM + CENTRJ
   Y = ( YY - YC )/DSKM + CENTRI

END SUBROUTINE llxy_mer 
