SUBROUTINE llxy_ste ( LAT , LON , X ,Y , &
   XLATC, XLONC, XN, DS, &
   IBIG, JBIG, TRUELAT1, TRUELAT2 )

   USE constants

   REAL    ::   LAT,LON
   REAL , PARAMETER :: RAD = 180. / pi
   REAL , PARAMETER :: earth = radius_of_earth

   REAL :: TRUELAT1 , PSI1 , PSI , POLE , XLATC , TANXX , COSXX , SINEA ,  &
           CI , CJ , PC , A1 , XN , B1 , RC , CX , DS , CY , F , XLONC ,  &
           P1 , A , B , R , X , Y , TRUELAT2 

   INTEGER :: IBIG , JBIG 
 
   !  PSI IS THE LATITUDE WHERE THE PROJECTION IS TRUE
 
   IF((TRUELAT1.LT.-90.).OR.(TRUELAT1.GT.90.)) THEN
      PSI1=60.
   ELSE IF ((TRUELAT1.GE.-90.) .AND. (TRUELAT1.LE.90.)) THEN
      PSI1=TRUELAT1
   ENDIF
   POLE=90.
   IF(XLATC.LT.0.) THEN
      POLE=-POLE
   END IF
   PSI=POLE-PSI1
   PSI=PSI/RAD
   TANXX=TAN(PSI/2.)
   COSXX=COS(PSI)
   SINEA=EARTH*SIN(PSI)

   !  CONSTANTS THAT ALSO DEPEND ON THE LOCATION AND SIZE OF THE MAP
 
   CI=FLOAT(IBIG+1)/2.
   CJ=FLOAT(JBIG+1)/2.
   PC=(POLE-XLATC)/RAD
   A1=EARTH*SIN(PC)
   B1=(1.+COSXX)/(1.+COS(PC))
   RC=A1*B1
   CX=(CJ-1.)*DS
   CY=(CI-1.)*DS+RC
 
   !  VALUES THAT DEPEND ON LAT/LON LOCATION
 
   F=(LON-XLONC-POLE)/RAD
   P1=(POLE-LAT)/RAD
   A=EARTH*SIN(P1)
   B=(1.+COSXX)/(1.+COS(P1))
   R=A*B
   IF(XLATC.LT.0.) R=-R
 
   !  GET MAP GRID LOCATION
 
   IF(XLATC.GE.0) THEN
      X=(R*COS(F)+CX)/DS+1.
   ELSE
      X=(-R*COS(F)+CX)/DS+1.
   END IF
   Y=(R*SIN(F)+CY)/DS+1.
 
END SUBROUTINE llxy_ste 
